
public class HelloWorldJNI
{
	public native void displayHelloWorld();

	static 
	{
		System.loadLibrary("hello");
	}

	public static void main(String[] args) 
	{
		long lStart, lCreate, lLoop;
		int iNum = 10000;

		lStart = System.currentTimeMillis();
		HelloWorldJNI hwj = new HelloWorldJNI();
		lCreate = System.currentTimeMillis();
		for(int iIndex=0; iIndex < iNum; iIndex++)
		{
			hwj.displayHelloWorld();
		}
		lLoop = System.currentTimeMillis();

		System.out.println("Create: " + (lCreate - lStart));
		System.out.println("Loop total " + (lLoop - lCreate) + " each " + ((lLoop - lCreate)/iNum));
		System.out.println("lStart=" + lStart + ", lCreate=" + lCreate + ", lLoop=" + lLoop);
	}
}


